# Creating a new Story Task

This endpoint returns structured Story Task objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the story_tasks top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /story_tasks
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- completed_by (User) - The User who completed this Story task, if any.
- story (Story) - The Story on which this Story Task exists.

## Request fields (application/json):

  - `story_task` (object)

  - `story_task.story_id` (integer, required)
    The ID of the associated Story.

  - `story_task.name` (string, required)
    The name of the story task.

  - `story_task.completed` (boolean)
    Represents the completion of the story task.

  - `story_task.position` (integer)
    The Story Task's position in the list of story tasks.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `story_tasks` (object)

  - `users` (object)

  - `stories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


